import { IRawTheme } from "vscode-textmate";
import { Tween, FullTween } from "@code-hike/utils";
declare type DiffOptions = {
    code: Tween<string>;
    lang: string;
    theme: IRawTheme;
};
declare type CodeTokenData = {
    className?: string;
    style?: {
        color: string | undefined;
    };
};
declare type CodeToken = [string, CodeTokenData];
declare type CodeLine = {
    tokens: CodeToken[];
    lineNumber: Tween<number>;
};
declare type LineKey = number;
declare type CodeMap = {
    keys: FullTween<LineKey[]>;
    lines: Record<LineKey, CodeLine>;
};
export { CodeLine, CodeToken, CodeTokenData, DiffOptions, CodeMap, useCodeDiff, };
declare function useCodeDiff({ code, lang, theme }: DiffOptions): {
    codeMap: CodeMap;
    backgroundColor: string;
    color: string;
};
